- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# bitset.hh File Reference

Bitset class declaration. More...

Include dependency graph for bitset.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::misc
namespace | std
## Classes
struct | Bitset
| Dynamic bitset class. More...
class | insert_iterator< vcsn::misc::Bitset >
| Specialized insert_iterator. More...
## Functions
std::ostream & | operator<< (std::ostream &ostr, const Bitset &set)
| Print a bitset onto an output stream.
template<>
void | swap (vcsn::misc::Bitset &lhs, vcsn::misc::Bitset &rhs)
| Specialized swap.

## Detailed Description

Bitset class declaration.

Author:
  Thomas Claveirole <thomas@lrde.epita.fr>

See also:
  Bitset

Definition in file bitset.hh.